<ion-header>
  <ion-toolbar  color="tertiary">
    
    
  </ion-toolbar>


</ion-header>
<ion-content fullscreen>
  
      <ion-fab horizontal="start"(click)="back()" vertical="top" slot="fixed">
        <ion-fab-button color="light">
  <ion-icon name="md-arrow-back"></ion-icon>
        </ion-fab-button>
       
      </ion-fab>
  <div class="fullscreen-content">
    <div class="cabecera-perfil" padding>
     

        <ion-skeleton-text animated *ngIf="!usuario"></ion-skeleton-text>
     
       <div class="image-upload" style="margin-top:50px;">
          <label for="file-input">
     
            <img *ngIf="usuario.imagen_perfil==null" src="../../../../assets/img/profile_user.png">
            <div *ngIf="usuario.imagen_perfil!=null">
              <ion-avatar *ngIf="loader==0">
                <img src="{{usuario.imagen_perfil}}">
                   
               </ion-avatar>

               <ion-avatar *ngIf="loader==1">
                <img src="../../../../assets/img/loader.gif">
                   
               </ion-avatar>
            </div>
          </label>
        
         
         
        </div>
       


    
  
      <ion-skeleton-text class="placeholder-h2" animated style="width: 50%" *ngIf="!usuario"></ion-skeleton-text>
      <h1 style="color:black;font-weight:bold;" *ngIf="usuario">{{usuario.nombre}}  {{usuario.apellido}}</h1>
      <h3 style="color:black;">{{usuario.eps}}</h3>
    </div>
  
    <div *ngIf="codigo==0" padding>
     
      <ion-card  (click)="habilitarPerfilamiento()" button>
        <ion-card-content>
          <ion-item lines="none">
            <h2>
              Modificar datos personales
            </h2>
          </ion-item>
        </ion-card-content>  
      </ion-card>
      
    
     <!-- <ion-card button>
        <ion-card-content>
          <ion-item lines="none" (click)="infoEps()">
            <h2>
              Cambiar o añadir EPS
            </h2>
          </ion-item>
        </ion-card-content>  
      </ion-card>-->
      <div style="width:80%;margin:auto;">
      <ion-card style="background-color:#FFDBDB; width:50%; text-align:center;margin-left:60px;margin-top:20px;"(click)="cerrarSesion()" button>
        <ion-card-content>
          
          Cerrar Sesión
        </ion-card-content>
      </ion-card>
      </div>
      

    </div>

    <!--OPCIONES DE EDICION DE PERFIL-->


    <div *ngIf="codigo==1" padding>
      <ion-card button *ngIf="editprofile==0"  (click)="presentProfileUser()">
        <ion-card-content>
          <ion-item lines="none">
            <h2>
            Cambiar Foto
            </h2>
          </ion-item>
        </ion-card-content>  
      </ion-card>

      <ion-card button  *ngIf="editprofile==0" (click)="editProfileUser()">
        <ion-card-content>
          <ion-item lines="none">
            <h2>
            Cambiar Datos Personales
            </h2>
          </ion-item>
        </ion-card-content>  
      </ion-card>

      <ion-card style="padding: 20px;" *ngIf="editprofile==1">
        <form>
        
          <div class="form-group">
            <label for="inputAddress2">Nombre</label>
            <input type="text" class="form-control"  [(ngModel)]="usuario.nombre"  name="nombre">
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label for="inputCity">Apellido</label>
              <input type="text" class="form-control" [(ngModel)]="usuario.apellido"  name="apellido">
            </div>
          
            <div class="form-group col-md-2">
              <label for="inputZip">EPS</label>
              <ion-select  class="form-control"  [(ngModel)]="eps" name="eps">
        
                <ion-select-option value="Salud Total">Salud Total</ion-select-option>
                <ion-select-option value="Medimas">Medimas</ion-select-option>
                <ion-select-option value="NuevaEPS">Nueva EPS</ion-select-option>
                <ion-select-option value="Saludvida">Saludvida</ion-select-option>
              </ion-select>
          
            </div>
          </div>
          <div class="form-group">
            <div class="form-check">
              
              <ion-button class="primary" (click)="actualizarDatos()">Actualizar</ion-button>

            </div>
          </div>
         
        </form>
      </ion-card>
      <ion-card color="danger" (click)="cancelarPerfilamiento()" button>
        <ion-card-content style="text-align: center;">
          <ion-icon slot="start" name="exit"></ion-icon>
         
        </ion-card-content>
      </ion-card>
     

    </div>
  </div>

</ion-content>
<ion-footer>
  <ion-toolbar  color="tertiary">
    
    
  </ion-toolbar>


</ion-footer>